GNU bug report logs - #53203
Comment with lots of color codes crashes or hangs emacs in scss-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Colin <my.old.email.sucked@HIDDEN>; dated Wed, 12 Jan 2022 08:03:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 53203 <at> debbugs.gnu.org:


Received: (at 53203) by debbugs.gnu.org; 13 Jan 2022 08:58:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 03:58:46 2022
Received: from localhost ([127.0.0.1]:60129 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7vwU-0006qB-4f
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 03:58:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n7vwS-0006px-8L
 for 53203 <at> debbugs.gnu.org; Thu, 13 Jan 2022 03:58:44 -0500
Received: from [2001:470:142:3::e] (port=39978 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n7vwL-00037e-Th; Thu, 13 Jan 2022 03:58:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=kjUr4mSnan+9EljPgpugGWdhWC1CU3LcJBIAdyaG/LE=; b=otzek8dz9WHZ
 4+wOV7A1CyaK1Q2DStH/XebMI4GUULA5R4356+7L8iP/4smXMfwwU2kyfuNob/8w+qZqqmU2lj+LK
 v0PKRHwR8uI0WrYmYCDsHY7yyfi/bto1fCT5L9ctHdfrjlZvT+3arW/1YndGUkIy6MPIl85ssxLar
 rHyhPuRRTyYJ0SAQGT5oUDKN1AYleHDwUsiRHTbRJjgnj2aWm7nTH8SrrhizvvxIFDF6Joe5z6Lf5
 neKRUAhmk8NNx7BDShmLoCHl/F7XiY6g5qonSi19rbtLH+QnRJnPdRlAe1ucbhvbezBUe+eZmtvhn
 /i2jf1QHtjFM9imnjTVG5A==;
Received: from [87.69.77.57] (port=4522 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n7vwM-0005qq-0S; Thu, 13 Jan 2022 03:58:38 -0500
Date: Thu, 13 Jan 2022 10:58:34 +0200
Message-Id: <8335ls3tc5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87wnj486il.fsf@HIDDEN> (message from Lars Ingebrigtsen on Thu, 
 13 Jan 2022 08:00:18 +0100)
Subject: Re: bug#53203: Comment with lots of color codes crashes or hangs
 emacs in scss-mode
References: <a79a818e-b3fe-150a-a3a4-6806a7804ebd@HIDDEN>
 <83r19d5c1i.fsf@HIDDEN> <87wnj486il.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53203
Cc: 53203 <at> debbugs.gnu.org, my.old.email.sucked@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Colin <my.old.email.sucked@HIDDEN>,  53203 <at> debbugs.gnu.org
> Date: Thu, 13 Jan 2022 08:00:18 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > It seems to infloop in JIT font-lock, and the culprit seems to be this
> > part of font-lock-keywords:
> >
> >        ;; Even though pseudo-elements should be prefixed by ::, a
> >        ;; single colon is accepted for backward compatibility.
> >        "\\(?:\\(:" (regexp-opt (append css-pseudo-class-ids
> >                                        css-pseudo-element-ids)
> >                                t)
> 
> Trying to understand the regexp used for scss here, I think that bit is
> somewhat innocuous -- it just matches those words.
> 
>        ;; Even though pseudo-elements should be prefixed by ::, a
>        ;; single colon is accepted for backward compatibility.
>        "\\(?:\\(:" (regexp-opt (append css-pseudo-class-ids
>                                        css-pseudo-element-ids)
>                                t)
>        "\\|::" (regexp-opt css-pseudo-element-ids t) "\\)"

I posted that because I saw this regexp in the backtrace obtained by
interrupting the infloop.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53203; Package emacs. Full text available.

Message received at 53203 <at> debbugs.gnu.org:


Received: (at 53203) by debbugs.gnu.org; 13 Jan 2022 07:00:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 02:00:33 2022
Received: from localhost ([127.0.0.1]:59831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7u65-00072v-MS
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 02:00:33 -0500
Received: from quimby.gnus.org ([95.216.78.240]:50422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n7u62-00072Y-8W
 for 53203 <at> debbugs.gnu.org; Thu, 13 Jan 2022 02:00:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=bhj5WB6lLwc38UO7dRtO2X2+uJRTFU2QuitKtoe+DHE=; b=oiSCMmnviskjJbHP5d1e3bj+GA
 x6cg+JycAQUo328mqUkwN6uWqanSmfgl6ion8F/zcMt5fqYgjVpi+uHMx4KkY5WWYsifiI6yba0bU
 cfB+8TI/M5CnlwA5vAmVjQjYy0D3o/5uZIgSb4ltIvG6IPAu6/e/ssDbGTYJSbMLB2dI=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n7u5s-0008MY-9c; Thu, 13 Jan 2022 08:00:23 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#53203: Comment with lots of color codes crashes or hangs
 emacs in scss-mode
References: <a79a818e-b3fe-150a-a3a4-6806a7804ebd@HIDDEN>
 <83r19d5c1i.fsf@HIDDEN>
X-Now-Playing: Suicide Romeo's _Pictures_: "Modern Romance"
Date: Thu, 13 Jan 2022 08:00:18 +0100
In-Reply-To: <83r19d5c1i.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 12 Jan
 2022 15:16:57 +0200")
Message-ID: <87wnj486il.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > It seems to infloop
 in JIT font-lock,
 and the culprit seems to be this > part of font-lock-keywords:
 > > ;; Even though pseudo-elements should be prefixed by ::, a > ;; single
 colon is accepted for [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53203
Cc: 53203 <at> debbugs.gnu.org, Colin <my.old.email.sucked@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> It seems to infloop in JIT font-lock, and the culprit seems to be this
> part of font-lock-keywords:
>
>        ;; Even though pseudo-elements should be prefixed by ::, a
>        ;; single colon is accepted for backward compatibility.
>        "\\(?:\\(:" (regexp-opt (append css-pseudo-class-ids
>                                        css-pseudo-element-ids)
>                                t)

Trying to understand the regexp used for scss here, I think that bit is
somewhat innocuous -- it just matches those words.

       ;; Even though pseudo-elements should be prefixed by ::, a
       ;; single colon is accepted for backward compatibility.
       "\\(?:\\(:" (regexp-opt (append css-pseudo-class-ids
                                       css-pseudo-element-ids)
                               t)
       "\\|::" (regexp-opt css-pseudo-element-ids t) "\\)"

But then we get:

       "\\(?:([^)]+)\\)?"
       (if (not sassy)
           "[^:{}()\n]*"
         (concat "[^:{}()\n#]*\\(?:" scss--hash-re "[^:{}()\n#]*\\)*"))
       "\\)*"

Which is a whole lot of backtracking, presumably exacerbated by the
previous ids bit of the regexp.

But I've repressed all I once knew about the scss language -- what is it
really trying to match here?  Anybody?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53203; Package emacs. Full text available.

Message received at 53203 <at> debbugs.gnu.org:


Received: (at 53203) by debbugs.gnu.org; 12 Jan 2022 13:17:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 08:17:17 2022
Received: from localhost ([127.0.0.1]:56461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7dV3-00063z-CX
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 08:17:17 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46910)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n7dUy-00063b-5M
 for 53203 <at> debbugs.gnu.org; Wed, 12 Jan 2022 08:17:11 -0500
Received: from [2001:470:142:3::e] (port=44820 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n7dUs-0003md-U0; Wed, 12 Jan 2022 08:17:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=aYIoLQZrt3IgmBarVHmi0A90KLbJOBF6abtlMXPMqcU=; b=mgQM6cEIoQPH
 GSLTUCq9aRlCuKuU5kzWbwPl6V94bgig2KBfHQyA1zKtRjzbP3gelps4nbza7w1rqaio6fa/o3PVa
 pPeHrJVGVV0Zq0+3NaBlncqWgV8W4R+Nkb27eGp8FqYYynmurRCJ/YCes07Qes77z/FvdPcg53QgY
 Ak9Xu49X+NsmvScjjHQIP9u4uitaQ4vsp+mUlGQZ6pBaZTKmKsvQA0Y8sEhi+WrHIylZqZiwtUvoA
 xrhKU8nBHB6ocyNv1Is4f8lyU6+hvAtOdOs5CsKqmZqSYnNkelF5iurQDDbxRtIvmvP5ueP1MngGR
 BM2v7vTKTPDKDloBfXXNgA==;
Received: from [87.69.77.57] (port=3155 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n7dUr-0003lk-PS; Wed, 12 Jan 2022 08:17:02 -0500
Date: Wed, 12 Jan 2022 15:16:57 +0200
Message-Id: <83r19d5c1i.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Colin <my.old.email.sucked@HIDDEN>
In-Reply-To: <a79a818e-b3fe-150a-a3a4-6806a7804ebd@HIDDEN> (message from
 Colin on Wed, 12 Jan 2022 17:20:24 +1000)
Subject: Re: bug#53203: Comment with lots of color codes crashes or hangs
 emacs in scss-mode
References: <a79a818e-b3fe-150a-a3a4-6806a7804ebd@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53203
Cc: 53203 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 12 Jan 2022 17:20:24 +1000
> From: Colin <my.old.email.sucked@HIDDEN>
> 
> I have the following snippet in example.scss file:
> 
> ```
> 
> /*
> #ffffff #ffffff
> #ffffff #ffffff
> #ffffff #ffffff
> #ffffff #ffffff
> #ffffff #ffffff
> */
> ```
> 
> On opening the file with emacs -Q (27.1 and a fresh build of git master 
> (29.0.50), emacs hangs.
> 
> If I remove one/two lines, it appears to burn some CPU and then work, so 
> it looks like an exponential search or something.
> 
> For now I'll remove the snippet from my code, but an interesting bug 
> nonetheless ;)

It seems to infloop in JIT font-lock, and the culprit seems to be this
part of font-lock-keywords:

       ;; Even though pseudo-elements should be prefixed by ::, a
       ;; single colon is accepted for backward compatibility.
       "\\(?:\\(:" (regexp-opt (append css-pseudo-class-ids
                                       css-pseudo-element-ids)
                               t)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53203; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2022 08:02:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 03:02:45 2022
Received: from localhost ([127.0.0.1]:56177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7Yaj-0002Ik-0W
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 03:02:45 -0500
Received: from lists.gnu.org ([209.51.188.17]:59422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <my.old.email.sucked@HIDDEN>) id 1n7Xvy-0000nV-K7
 for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 02:20:38 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35590)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <my.old.email.sucked@HIDDEN>)
 id 1n7Xvx-0004JW-Vz
 for bug-gnu-emacs@HIDDEN; Wed, 12 Jan 2022 02:20:38 -0500
Received: from [2607:f8b0:4864:20::62b] (port=34604
 helo=mail-pl1-x62b.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <my.old.email.sucked@HIDDEN>)
 id 1n7Xvv-00015h-RI
 for bug-gnu-emacs@HIDDEN; Wed, 12 Jan 2022 02:20:37 -0500
Received: by mail-pl1-x62b.google.com with SMTP id a7so89146plh.1
 for <bug-gnu-emacs@HIDDEN>; Tue, 11 Jan 2022 23:20:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:date:mime-version:user-agent:from:subject:to
 :content-language:content-transfer-encoding;
 bh=vVziLcjGFymK26IHIp+rMkTQN5fG+/YijPQPhVRLQyI=;
 b=Zj0EaGatrsm4+kM/b6niPVZXg5ZJ2Mbs6hmk0i25Tdf5zR7kPFgB9ZZPLlcVg+BNu6
 1FwpGikhJQIFD60+ve0QJVEn20upIMYfxpC0tZb7sswccvLmYgbJqtYOaw7He/hpHFU9
 g//xnuJHnqylBWPrRt3zvEfElqMiQ/ocp4DPb1/DUOxnmzc5wsiY3xsJ9F3fgEeaE/rb
 Vp0SEq1VfYf68W14XKIVu1JSigRJ/zOPJGG00r4vp4D+1Bxw4HO0gSM+HcE/wZGNanfk
 t80gPori7oPlZ+QOrPdiI51U9HLrMxpskM0x1diAq0+/3B8A1jTCoyV2fw0WTKoqw7+B
 BTLA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:date:mime-version:user-agent:from
 :subject:to:content-language:content-transfer-encoding;
 bh=vVziLcjGFymK26IHIp+rMkTQN5fG+/YijPQPhVRLQyI=;
 b=FYfLyHH/3UYBtzF1UwmA79P7wEE9RYsSklAXzq5uzURUIlKRflO1PLFlsmFvxh7sE1
 a/NQJ7ubvTkLQBYe8gY7t1EnwoWP7ybFZNgOPAsyF4linriE/6sOpOnxI+AoAdiDxN0w
 Eq0zFOKMJe24I96CMlM0QlkV0MCMX//JNDsXCLs/ReUHSQfUb7K82IX6PFET5YTAOX56
 4DqKRL1qAIUiACxvbXkJnmmspUNiVHjZT0hrQlf1aoPKrucj2yegR9oJKesB8jo6t1CK
 73At/j2sGvuGKXUElS5cwrhxImh+5oKG+mGrSiqlT9HBHb2tlcCPVhKPCcRqPuaJAvP6
 cogQ==
X-Gm-Message-State: AOAM533iQUyGZ2TSy3j7H9GutVFQwLrxCC3KlqVLhdSJurDMnarm9tx2
 8UBrOkGSRBRihqDXma0KRfE0qpxtbKY=
X-Google-Smtp-Source: ABdhPJyeM0jAN45oNu7cgMgtrJXIM24GMODJwQRQ5sqR0FBU02Tj87eOhtvv7LNgJShUskapkLD2sQ==
X-Received: by 2002:a17:90b:3ecc:: with SMTP id
 rm12mr7187897pjb.225.1641972033025; 
 Tue, 11 Jan 2022 23:20:33 -0800 (PST)
Received: from [10.9.8.7] ([122.199.49.224])
 by smtp.gmail.com with ESMTPSA id z22sm876493pfe.34.2022.01.11.23.20.31
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 11 Jan 2022 23:20:32 -0800 (PST)
Message-ID: <a79a818e-b3fe-150a-a3a4-6806a7804ebd@HIDDEN>
Date: Wed, 12 Jan 2022 17:20:24 +1000
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.3.1
From: Colin <my.old.email.sucked@HIDDEN>
Subject: Comment with lots of color codes crashes or hangs emacs in scss-mode
To: bug-gnu-emacs@HIDDEN
Content-Language: en-US
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2607:f8b0:4864:20::62b
 (failed)
Received-SPF: pass client-ip=2607:f8b0:4864:20::62b;
 envelope-from=my.old.email.sucked@HIDDEN; helo=mail-pl1-x62b.google.com
X-Spam_score_int: 17
X-Spam_score: 1.7
X-Spam_bar: +
X-Spam_report: (1.7 / 5.0 requ) AC_FROM_MANY_DOTS=2.996, BAYES_00=-1.9,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 12 Jan 2022 03:02:44 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi,


I have the following snippet in example.scss file:

```

/*
#ffffff #ffffff
#ffffff #ffffff
#ffffff #ffffff
#ffffff #ffffff
#ffffff #ffffff
*/
```

On opening the file with emacs -Q (27.1 and a fresh build of git master 
(29.0.50), emacs hangs.

If I remove one/two lines, it appears to burn some CPU and then work, so 
it looks like an exponential search or something.

For now I'll remove the snippet from my code, but an interesting bug 
nonetheless ;)







Acknowledgement sent to Colin <my.old.email.sucked@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53203; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 13 Jan 2022 09:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.